Package org.drinkless.tdlib

# Class TdApi.MessageReactions

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageReactions

Enclosing class:
  `TdApi`

public static class TdApi.MessageReactions extends TdApi.Object
Contains a list of reactions added to a message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `areTags`
  True, if the reactions are tags and Telegram Premium users can filter messages by them.
  `boolean`
  `canGetAddedReactions`
  True, if the list of added reactions is available using getMessageAddedReactions.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PaidReactor[]`
  `paidReactors`
  Information about top users that added the paid reaction.
  `TdApi.MessageReaction[]`
  `reactions`
  List of added reactions.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageReactions()`
  Contains a list of reactions added to a message.
  `MessageReactions(TdApi.MessageReaction[] reactions, boolean areTags, TdApi.PaidReactor[] paidReactors, boolean canGetAddedReactions)`
  Contains a list of reactions added to a message.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### reactions

    public TdApi.MessageReaction[] reactions
    List of added reactions.

  - ### areTags

    public boolean areTags
    True, if the reactions are tags and Telegram Premium users can filter messages by them.

  - ### paidReactors

    public TdApi.PaidReactor[] paidReactors
    Information about top users that added the paid reaction.

  - ### canGetAddedReactions

    public boolean canGetAddedReactions
    True, if the list of added reactions is available using getMessageAddedReactions.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageReactions

    public MessageReactions()
    Contains a list of reactions added to a message.

  - ### MessageReactions

    public MessageReactions(TdApi.MessageReaction[] reactions, boolean areTags, TdApi.PaidReactor[] paidReactors, boolean canGetAddedReactions)
    Contains a list of reactions added to a message.
    Parameters:
      `reactions` - List of added reactions.
      `areTags` - True, if the reactions are tags and Telegram Premium users can filter messages by them.
      `paidReactors` - Information about top users that added the paid reaction.
      `canGetAddedReactions` - True, if the list of added reactions is available using getMessageAddedReactions.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR